# Class ConstantColumn

java.lang.Object
uk.ac.starlink.table.ColumnData
uk.ac.starlink.table.ConstantColumn

public class ConstantColumn extends ColumnData
Represents a column which has the same value in every row.

Since:
  19 Sep 2006
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ConstantColumn(ColumnInfo colinfo, Object value)`
Constructs a new column with a given metadata object and constant datum.

## Method Summary

Modifier and Type
Method
Description
`Object`
`readValue(long irow)`
Returns the value stored at a given row in this column.

### Methods inherited from class ColumnData

`getColumnInfo, isWritable, setColumnInfo, storeValue`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConstantColumn

public ConstantColumn(ColumnInfo colinfo, Object value)
Constructs a new column with a given metadata object and constant datum.

Parameters:
  `colinfo` - column metadata
  `value` - value to be found in every cell of this column

## Method Details

### readValue

public Object readValue(long irow)
Description copied from class: `ColumnData`
Returns the value stored at a given row in this column.

Specified by:
  `readValue` in class `ColumnData`
Parameters:
  `irow` - the row from which to retrieve the value
Returns:
  the value stored at `irow`